<?php
function get_pcli($item='',$enti='',$fecha='')
{
//      foreach($_PARAMS as $campo => $valor){${$campo}=trim($valor);} 
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}

     $item=trim($item);
     $enti=trim($enti);
     if(empty($fecha)){$fecha=date('Y-m-d');}
     
     $sql_pcli='';
     $sql_pcli.='select ';
     $sql_pcli.='fecha,item,sum(cant) as cant,enti,adddate(fecha,ifnull(plazo,0))as vence, ';
     $sql_pcli.='min(fecha) as fecha1, max(adddate(fecha,ifnull(plazo,0))) as fecha2,';
     $sql_pcli.='datediff(adddate(fecha,ifnull(plazo,0)),curdate()) as diasp ';
     $sql_pcli.='from clie1 ';
     $sql_pcli.='left join clie2 on idnum1=idnum2 ';
     $sql_pcli.='where status not in("O","X") ';
     $sql_pcli.='and docu like "PC%" ';
     $sql_pcli.='and datediff(adddate(fecha,ifnull(plazo,0)),curdate())>=0 ';
     if(!empty($item))
     {$sql_pcli.='and item like "'.$item.'%" ';}
     if(!empty($enti))
     {$sql_pcli.='and enti like "'.substr($enti,0,10).'%" ';}
     $sql_pcli.='group by item ';
     $sql_pcli.='order by item ';
     
     $res_pcli=msql_query($sql_pcli,$link_data);
     
     $pcli=msql_result($res_pcli,0,'cant');
     
     $result=array();
     
//      $sql_pcli=str_replace('by item ','by item,enti ');
//      $sql_pcli=str_replace('by item ','by item,enti ');
     
//      $idx=0;
//      msql_data_seek($res_pcli);
//      while($aso_pcli=msql_fetch_assoc($res_pcli))
//      {
//           $xitem=trim($aso_pcli['item']);
//           $xenti=trim($aso_pcli['enti']);
//           $xcant=trim($aso_pcli['cant']);
//           $xfecha=trim($aso_pcli['fecha']);
//           $xvence=trim($aso_pcli['vence']);
          
//           $result[$idx]['item']=$xitem;
//           $result[$idx]['pcli']=$xcant;

// //           echo '<br>';
// //           echo '<br>'.$result[$idx]['item'];
// //           echo '<br>'.$result[$idx]['pcli'];
          
//           $idx++;
//      }
     
//      return $result;

     
     $idx=0;
     msql_data_seek($res_pcli);
     while($aso_pcli=msql_fetch_assoc($res_pcli))
     {
          $xitem=trim($aso_pcli['item']);
          $xenti=trim($aso_pcli['enti']);
          $xcant=trim($aso_pcli['cant']);
          $xfecha=trim($aso_pcli['fecha']);
          $xvence=trim($aso_pcli['vence']);
          
          $sql_vtas='';
          $sql_vtas.='select sum(cant) as cant ';
          $sql_vtas.='from vtas1 ';
          $sql_vtas.='left join vtas2 on idnum1=idnum2 ';
          $sql_vtas.='where status not in("O","X") ';
          $sql_vtas.='and docu like "FC%" ';
          
          $sql_vtas.='and item like "'.$xitem.'%" ';
          if(!empty($xenti))
          {$sql_vtas.='and enti like "'.substr($xenti,0,10).'%" ';}
          $sql_vtas.='and fecha >= "'.$xfecha.'" ';
          $sql_vtas.='and fecha <= "'.$xvence.'" ';
          
          $res_vtas=msql_query($sql_vtas,$link_data);
          $vcant=msql_result($res_vtas,0,'cant');
          
          $result[$idx]['item']=$xitem;
          $result[$idx]['pcli']=$xcant-$vcant;
          
//           echo '<br>*/*/*/*'.$xitem;
//           echo '<br>*/*/*/*'.$xcant;
//           echo '<br>*/*/*/*'.$vcant;
//           echo '<br>*/*/*/*'.$result[$idx]['pcli'];
               
          
          $idx++;
     }
     return $result;
     
     
}
?>